<?php


namespace AutoAdmin\Bundle\Content\Event;


use AutoAdmin\Bundle\Content\Context\ContentContext;
use Symfony\Component\HttpFoundation\Request;

interface ContentContextEventInterface
{
    public function setContentContext(ContentContext $contentContext);

    public function getContentContext(): ContentContext;

    public function setRequest(Request $contentContext);

    public function getRequest(): Request;
}
